<template>
  <div>
    <h1 class="mb-6">Do you drink alcohol daily or binge drink?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="selected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <CommonBtn
      text="Next"
      :disabled="!selected"
      @click="handleClick"
    />
  </div>
</template>

<script>
import CommonBtn from "@/components/common/CommonBtn";
import {answersMixin} from "@/utils/mixins";
import RadioInput from "@/components/inputs/RadioInput";
import {constants} from "@/constants";

export default {
  mixins: [answersMixin],
  name: "YourHealth28",
  components: {RadioInput, CommonBtn},
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_28')
    }
  },
  data() {
    return {
      selected: null,
      choices: [
        constants.YES_CHOICE,
        'No',
      ]
    }
  },
  methods: {
    handleClick() {
      if (this.selected === constants.YES_CHOICE) {
        this.$emit('nextStage')
      } else {
        this.$emit('goTo', 30)
      }
    }
  }
}
</script>

<style scoped>

</style>
